Class UmlNode

Declaration :

- C++ : class UmlNode : public UmlBaseNode
- Java : class UmlNode extends UmlBaseNode

This class manages 'nodes'
You can modify it as you want (except the constructor)

Artifact : UmlNode

Operation UmlNode

Declaration :

- C++ : public: UmlNode(void * id, const QCString & n) : UmlBaseNode(id, n)
- Java : public UmlNode(long id, String n)

All public operations : apply , associatedDiagram , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload